using Plus.Communication.Packets.Outgoing.Help.Helpers;
using Plus.HabboHotel.GameClients;
using Plus.HabboHotel.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Plus.Communication.Packets.Incoming.Help.Helpers
{
    class FinishHelperSessionEvent : IPacketEvent
    {
        public void Parse(GameClient Session, ClientPacket Packet)
        {
            var Voted = Packet.PopBoolean();
            var Element = HelperToolsManager.GetElement(Session);
            if (Element is HelperCase)
            {
                if (Voted)
                    Element.OtherElement.Session.SendNotification((PlusEnvironment.GetGame().GetLanguageLocale().TryGetValue("helpeur_msg")));
                else
                    Element.OtherElement.Session.SendNotification((PlusEnvironment.GetGame().GetLanguageLocale().TryGetValue("helpeur_msgg")));
            }

            Element.Close();
        }
    }
}
